# Results

All results will be given in the FHIR format

## Scenarios to note

### Results out of range

* In the example below for `HDL Cholesterol` we have a result that is below normal
* This can be clearly observed with the following values:&#x20;
  * `high`: 100.0
  * `low`: 40.0
  * `value`: 35.2

### Critical Results - Must be handled properly!

* Depending on the test supplier you may receive a webhook indicating the overall severity of the results.
* We called this  `escalation_level` , reaching a maximum of `escalation_level.very_high`
* Additionally, the `interpretation` field will likely have code `HH` or `LL`  in critical cases. Please refer to this [link](https://hl7-definition.caristix.com/v2/HL7v2.8/Tables/0078) for more information.
* Refer to [Webhooks](/vantage-api-docs/documentation/webhooks.md) to see `results.escalation_raised.`

### Failed Tests&#x20;

* You will receive a webhook with the failure reason when a sample has been rejected by the lab. Refer to [Webhooks](/vantage-api-docs/documentation/webhooks.md)&#x20;

### Example Results

```json
{
  "entry": [
    {
      "fullUrl": "DiagnosticReport/dr-252463239248650243",
      "resource": {
        "code": {
          "text": "Laboratory Panel"
        },
        "effectiveDateTime": "1970-01-01T00:29:23+00:00",
        "id": "dr-252463239248650243",
        "issued": "1970-01-01T00:29:24+00:00",
        "resourceType": "DiagnosticReport",
        "result": [
          {
            "display": "Total Cholesterol",
            "reference": "Observation/obs-252463239248650243-CHOL"
          },
          {
            "display": "HDL Cholesterol",
            "reference": "Observation/obs-252463239248650243-HDL"
          },
          {
            "display": "LDL Cholesterol",
            "reference": "Observation/obs-252463239248650243-LDL"
          },
          {
            "display": "Triglycerides",
            "reference": "Observation/obs-252463239248650243-TRIG"
          },
          {
            "display": "Hemoglobin A1c",
            "reference": "Observation/obs-252463239248650243-HBA1C"
          }
        ],
        "status": "final",
        "subject": {
          "reference": "Patient/252463822202380289"
        }
      }
    },
    {
      "fullUrl": "Patient/252463822202380289",
      "resource": {
        "address": [
          {
            "city": "San Francisco",
            "country": "US",
            "line": [
              "123 Test Street",
              "Apt 4B"
            ],
            "postalCode": "94102",
            "state": "CA"
          }
        ],
        "birthDate": "1970-01-01",
        "gender": "male",
        "id": "252463822202380289",
        "name": [
          {
            "family": "Doe",
            "given": [
              "John"
            ]
          }
        ],
        "resourceType": "Patient",
        "telecom": [
          {
            "system": "email",
            "value": "john.doe@example.com"
          },
          {
            "system": "phone",
            "value": "+14155551234"
          }
        ]
      }
    },
    {
      "fullUrl": "Observation/obs-252463239248650243-CHOL",
      "resource": {
        "code": {
          "coding": [
            {
              "code": "CHOL",
              "display": "Total Cholesterol",
              "system": "https://api.imaware.health/fhir/CodeSystem/test-codes"
            }
          ],
          "text": "Total Cholesterol"
        },
        "effectiveDateTime": "1970-01-01T00:29:23+00:00",
        "id": "obs-252463239248650243-CHOL",
        "interpretation": [
          {
            "coding": [
              {
                "code": "N",
                "display": "Normal",
                "system": "http://terminology.hl7.org/CodeSystem/v2-0078"
              }
            ]
          }
        ],
        "issued": "1970-01-01T00:29:24+00:00",
        "referenceRange": [
          {
            "high": {
              "value": 200
            },
            "text": "0.0 - 200.0"
          }
        ],
        "resourceType": "Observation",
        "status": "final",
        "subject": {
          "reference": "Patient/252463822202380289"
        },
        "valueQuantity": {
          "code": "mg/dL",
          "unit": "mg/dL",
          "value": 185.5
        }
      }
    },
    {
      "fullUrl": "Observation/obs-252463239248650243-HDL",
      "resource": {
        "code": {
          "coding": [
            {
              "code": "HDL",
              "display": "HDL Cholesterol",
              "system": "https://api.imaware.health/fhir/CodeSystem/test-codes"
            }
          ],
          "text": "HDL Cholesterol"
        },
        "effectiveDateTime": "1970-01-01T00:29:23+00:00",
        "id": "obs-252463239248650243-HDL",
        "interpretation": [
          {
            "coding": [
              {
                "code": "L",
                "display": "Below low normal",
                "system": "http://terminology.hl7.org/CodeSystem/v2-0078"
              }
            ]
          }
        ],
        "issued": "1970-01-01T00:29:24+00:00",
        "referenceRange": [
          {
            "high": {
              "value": 100
            },
            "low": {
              "value": 40
            },
            "text": "40.0 - 100.0"
          }
        ],
        "resourceType": "Observation",
        "status": "final",
        "subject": {
          "reference": "Patient/252463822202380289"
        },
        "valueQuantity": {
          "code": "mg/dL",
          "unit": "mg/dL",
          "value": 35.2
        }
      }
    },
    {
      "fullUrl": "Observation/obs-252463239248650243-LDL",
      "resource": {
        "code": {
          "coding": [
            {
              "code": "LDL",
              "display": "LDL Cholesterol",
              "system": "https://api.imaware.health/fhir/CodeSystem/test-codes"
            }
          ],
          "text": "LDL Cholesterol"
        },
        "effectiveDateTime": "1970-01-01T00:29:23+00:00",
        "id": "obs-252463239248650243-LDL",
        "interpretation": [
          {
            "coding": [
              {
                "code": "N",
                "display": "Normal",
                "system": "http://terminology.hl7.org/CodeSystem/v2-0078"
              }
            ]
          }
        ],
        "issued": "1970-01-01T00:29:24+00:00",
        "referenceRange": [
          {
            "high": {
              "value": 130
            },
            "text": "0.0 - 130.0"
          }
        ],
        "resourceType": "Observation",
        "status": "final",
        "subject": {
          "reference": "Patient/252463822202380289"
        },
        "valueQuantity": {
          "code": "mg/dL",
          "unit": "mg/dL",
          "value": 110.3
        }
      }
    },
    {
      "fullUrl": "Observation/obs-252463239248650243-TRIG",
      "resource": {
        "code": {
          "coding": [
            {
              "code": "TRIG",
              "display": "Triglycerides",
              "system": "https://api.imaware.health/fhir/CodeSystem/test-codes"
            }
          ],
          "text": "Triglycerides"
        },
        "effectiveDateTime": "1970-01-01T00:29:23+00:00",
        "id": "obs-252463239248650243-TRIG",
        "interpretation": [
          {
            "coding": [
              {
                "code": "N",
                "display": "Normal",
                "system": "http://terminology.hl7.org/CodeSystem/v2-0078"
              }
            ]
          }
        ],
        "issued": "1970-01-01T00:29:24+00:00",
        "referenceRange": [
          {
            "high": {
              "value": 150
            },
            "text": "0.0 - 150.0"
          }
        ],
        "resourceType": "Observation",
        "status": "final",
        "subject": {
          "reference": "Patient/252463822202380289"
        },
        "valueQuantity": {
          "code": "mg/dL",
          "unit": "mg/dL",
          "value": 120
        }
      }
    },
    {
      "fullUrl": "Observation/obs-252463239248650243-HBA1C",
      "resource": {
        "code": {
          "coding": [
            {
              "code": "HBA1C",
              "display": "Hemoglobin A1c",
              "system": "https://api.imaware.health/fhir/CodeSystem/test-codes"
            }
          ],
          "text": "Hemoglobin A1c"
        },
        "effectiveDateTime": "1970-01-01T00:29:23+00:00",
        "id": "obs-252463239248650243-HBA1C",
        "interpretation": [
          {
            "coding": [
              {
                "code": "N",
                "display": "Normal",
                "system": "http://terminology.hl7.org/CodeSystem/v2-0078"
              }
            ]
          }
        ],
        "issued": "1970-01-01T00:29:24+00:00",
        "referenceRange": [
          {
            "high": {
              "value": 5.6
            },
            "low": {
              "value": 4
            },
            "text": "4.0 - 5.6"
          }
        ],
        "resourceType": "Observation",
        "status": "final",
        "subject": {
          "reference": "Patient/252463822202380289"
        },
        "valueQuantity": {
          "code": "%",
          "unit": "%",
          "value": 5.2
        }
      }
    }
  ],
  "resourceType": "Bundle",
  "timestamp": "1970-01-01T00:29:24+00:00",
  "type": "collection"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tryterra.co/vantage-api-docs/documentation/results.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
